--- old/usr/src/uts/common/io/ib/adapters/tavor/tavor_mr.c	Sun Jun 11 17:03:36 2017
+++ new/usr/src/uts/common/io/ib/adapters/tavor/tavor_mr.c	Sun Jun 11 17:03:36 2017
@@ -239,7 +239,6 @@
 		goto mrshared_fail2;
 	}
 	mr = (tavor_mrhdl_t)rsrc->tr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr))
 
 	/*
 	 * Setup and validate the memory region access flags.  This means
@@ -341,7 +340,6 @@
 	mr->mr_mttrefcntp = mrhdl->mr_mttrefcntp;
 	mutex_exit(&mrhdl->mr_lock);
 	bind = &mr->mr_bindinfo;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*bind))
 	mtt = mr->mr_mttrsrcp;
 
 	/*
@@ -667,8 +665,6 @@
 {
 	TAVOR_TNF_ENTER(tavor_mr_query);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr))
-
 	mutex_enter(&mr->mr_lock);
 
 	/*
@@ -961,7 +957,6 @@
 		goto mwalloc_fail2;
 	}
 	mw = (tavor_mwhdl_t)rsrc->tr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mw))
 
 	/*
 	 * Calculate an "unbound" RKey from MPT index.  In much the same way
@@ -1070,7 +1065,6 @@
 	rsrc	= mw->mr_rsrcp;
 	pd	= mw->mr_pdhdl;
 	mutex_exit(&mw->mr_lock);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mw))
 
 	/*
 	 * Reclaim the MPT entry from hardware.  Note: in general, it is
@@ -1125,7 +1119,6 @@
 	 * time) is incredibly small.
 	 * And, lastly, we'd like to make this into a "random" key XXX
 	 */
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(tavor_debug_memkey_cnt))
 	log_num_mpt = state->ts_cfg_profile->cp_log_num_mpt;
 	tmp = (tavor_debug_memkey_cnt++) << log_num_mpt;
 	*key = tmp | indx;
@@ -1242,7 +1235,6 @@
 		goto mrcommon_fail2;
 	}
 	mr = (tavor_mrhdl_t)rsrc->tr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr))
 
 	/*
 	 * Setup and validate the memory region access flags.  This means
@@ -1301,9 +1293,6 @@
 			goto mrcommon_fail3;
 		}
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*bind))
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*bind->bi_buf))
-
 		bind->bi_buf = ddi_umem_iosetup(umem_cookie, 0, umem_len,
 		    B_WRITE, 0, 0, NULL, DDI_UMEM_SLEEP);
 		if (bind->bi_buf == NULL) {
@@ -1314,9 +1303,6 @@
 		bind->bi_type = TAVOR_BINDHDL_UBUF;
 		bind->bi_buf->b_flags |= B_READ;
 
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*bind->bi_buf))
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*bind))
-
 		umapdb = tavor_umap_db_alloc(state->ts_instance,
 		    (uint64_t)(uintptr_t)umem_cookie, MLNX_UMAP_MRMEM_RSRC,
 		    (uint64_t)(uintptr_t)rsrc);
@@ -1331,7 +1317,6 @@
 	 * Setup the bindinfo for the mtt bind call
 	 */
 	bh = &mr->mr_bindinfo;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*bh))
 	bcopy(bind, bh, sizeof (tavor_bind_info_t));
 	bh->bi_bypass = bind_type;
 	status = tavor_mr_mtt_bind(state, bh, bind_dmahdl, &mtt,
@@ -1364,7 +1349,6 @@
 	}
 	mr->mr_mttrefcntp = mtt_refcnt;
 	swrc_tmp = (tavor_sw_refcnt_t *)mtt_refcnt->tr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*swrc_tmp))
 	TAVOR_MTT_REFCNT_INIT(swrc_tmp);
 
 	/*
@@ -1467,9 +1451,7 @@
 		 */
 		if (bind->bi_type == TAVOR_BINDHDL_UBUF) {
 			freerbuf(bind->bi_buf);
-			_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*bind))
 			bind->bi_type = TAVOR_BINDHDL_NONE;
-			_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*bind))
 		}
 		ddi_umem_unlock(umem_cookie);
 	}
@@ -1540,7 +1522,6 @@
 		goto mrcommon_fail2;
 	}
 	mr = (tavor_mrhdl_t)rsrc->tr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr))
 	bzero(mr, sizeof (*mr));
 
 	/*
@@ -1802,8 +1783,6 @@
 
 	TAVOR_TNF_ENTER(tavor_mr_common_rereg);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*bind))
-
 	/*
 	 * Check here to see if the memory region corresponds to a userland
 	 * mapping.  Reregistration of userland memory regions is not
@@ -2411,7 +2390,6 @@
 				goto mrrereghelp_fail;
 			}
 			swrc_new = (tavor_sw_refcnt_t *)mtt_refcnt->tr_addr;
-			_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*swrc_new))
 			TAVOR_MTT_REFCNT_INIT(swrc_new);
 		} else {
 			mtt_refcnt = mr->mr_mttrefcntp;
@@ -2537,8 +2515,6 @@
 
 	TAVOR_TNF_ENTER(tavor_mr_mem_bind);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*bind))
-
 	/* Set the callback flag appropriately */
 	callback = (sleep == TAVOR_SLEEP) ? DDI_DMA_SLEEP : DDI_DMA_DONTWAIT;
 
@@ -2637,12 +2613,10 @@
 	 * it's required to free it here. Reset bi_type to TAVOR_BINDHDL_NONE
 	 * not to free it again later.
 	 */
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*bind))
 	if (bind->bi_type == TAVOR_BINDHDL_UBUF) {
 		freerbuf(bind->bi_buf);
 		bind->bi_type = TAVOR_BINDHDL_NONE;
 	}
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*bind))
 
 	/*
 	 * Unbind the DMA memory for the region
@@ -2715,8 +2689,6 @@
 
 			if (addr == 0) {
 				static int do_once = 1;
-				_NOTE(SCHEME_PROTECTS_DATA("safe sharing",
-				    do_once))
 				if (do_once) {
 					do_once = 0;
 					cmn_err(CE_NOTE, "probable error in "
